Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ToolButton

    java.lang.Object
      com.tonbeller.wcf.toolbar.ToolBarComponentSupport
          com.tonbeller.wcf.toolbar.ToolButton

All Implemented Interfaces:
  RequestListener, ToolBarComponent

public class ToolButton
extends ToolBarComponentSupport
implements RequestListener

Author:
  av

Constructor Summary
`ToolButton(ToolButtonModel model, java.lang.String upImg, java.lang.String downImg)`

Method Summary
`java.lang.String` | `getDownImg()` Returns the downImg.
`java.lang.String` | `getRadioGroup()` Returns the radioGroup.
`java.lang.String` | `getUpImg()` Returns the upImg.
`void` | `initialize(RequestContext context, ToolBar owner)` deferred ctor - initializes the button once after instantiation
`boolean` | `isPressed()` Returns the pressed.
`boolean` | `isSeparator()` paints some space
`void` | `render(RequestContext context, org.w3c.dom.Element parent)` renders the toolbar button
`void` | `request(RequestContext context)` notified by a Dispatcher for specific HTTP Requests
`void` | `setDownImg(java.lang.String downImg)` Sets the downImg.
`void` | `setImg(java.lang.String img)`
`void` | `setRadioGroup(java.lang.String radioGroup)` Sets the radioGroup.
`void` | `setTooltip(java.lang.String tooltip)`
`void` | `setUpImg(java.lang.String upImg)` Sets the upImg.

Methods inherited from class com.tonbeller.wcf.toolbar.ToolBarComponentSupport
`getId, getRole, getVisibleExpr, isVisible, isVisible, setId, setRole, setVisible, setVisibleExpr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolButton

    public ToolButton(ToolButtonModel model,
                      java.lang.String upImg,
                      java.lang.String downImg)

Method Detail

### isPressed

    public boolean isPressed()

  Returns the pressed.

  Returns:
    boolean

### getRadioGroup

    public java.lang.String getRadioGroup()

  Returns the radioGroup.

  Returns:
    String

### setRadioGroup

    public void setRadioGroup(java.lang.String radioGroup)

  Sets the radioGroup.

  Parameters:
    `radioGroup` - The radioGroup to set

### getDownImg

    public java.lang.String getDownImg()

  Returns the downImg.

  Returns:
    String

### getUpImg

    public java.lang.String getUpImg()

  Returns the upImg.

  Returns:
    String

### setDownImg

    public void setDownImg(java.lang.String downImg)

  Sets the downImg.

  Parameters:
    `downImg` - The downImg to set

### setUpImg

    public void setUpImg(java.lang.String upImg)

  Sets the upImg.

  Parameters:
    `upImg` - The upImg to set

### initialize

    public void initialize(RequestContext context,
                           ToolBar owner)

  Description copied from interface: `ToolBarComponent`
  deferred ctor - initializes the button once after instantiation

  Specified by:
    `initialize` in interface `ToolBarComponent`

### render

    public void render(RequestContext context,
                       org.w3c.dom.Element parent)
                throws java.lang.Exception

  Description copied from interface: `ToolBarComponent`
  renders the toolbar button

  Specified by:
    `render` in interface `ToolBarComponent`
  Throws:
    `java.lang.Exception`

### request

    public void request(RequestContext context)
                 throws java.lang.Exception

  Description copied from interface: `RequestListener`
  notified by a Dispatcher for specific HTTP Requests

  Specified by:
    `request` in interface `RequestListener`
  Parameters:
    `context` - the current request
  Throws:
    `java.lang.Exception`

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Parameters:
    `tooltip` -

### isSeparator

    public boolean isSeparator()

  Description copied from interface: `ToolBarComponent`
  paints some space

  Specified by:
    `isSeparator` in interface `ToolBarComponent`

### setImg

    public void setImg(java.lang.String img)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD